# Class HTMLParseError

java.lang.Object
java.lang.Throwable
java.lang.Error
org.apache.jmeter.protocol.http.parser.HTMLParseError

All Implemented Interfaces:
  `Serializable`

public class HTMLParseError extends Error
Error class for use with HTMLParser classes. The main rationale for the class was to support chained Errors in JDK 1.3, however it is now used in its own right.

Version:
  $Revision: 905028 $
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HTMLParseError()`
`HTMLParseError(String message)`
`HTMLParseError(String message, Throwable cause)`
`HTMLParseError(Throwable cause)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HTMLParseError

public HTMLParseError()

### HTMLParseError

public HTMLParseError(String message)

### HTMLParseError

public HTMLParseError(Throwable cause)

### HTMLParseError

public HTMLParseError(String message, Throwable cause)